com.corticon.rulesemf.canonicalvocabularymodel.util

## Class CanonicalvocabularymodelAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalvocabularymodel.util.CanonicalvocabularymodelAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory
  Direct Known Subclasses:
    CanonicalvocabularymodelItemProviderAdapterFactory

      public class CanonicalvocabularymodelAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `CanonicalvocabularymodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static CanonicalvocabularymodelPackage` | `modelPackage` The cached model package
    `protected CanonicalvocabularymodelSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanonicalvocabularymodelAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createAssetAdapter()` Creates a new adapter for an object of class '`Asset`'
    `org.eclipse.emf.common.notify.Adapter` | `createAssociationEndExtensionAdapter()` Creates a new adapter for an object of class '`Association End Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createAttributeExtensionAdapter()` Creates a new adapter for an object of class '`Attribute Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createCustomDataTypeAdapter()` Creates a new adapter for an object of class '`Custom Data Type`'
    `org.eclipse.emf.common.notify.Adapter` | `createDatabaseAccessAdapter()` Creates a new adapter for an object of class '`Database Access`'
    `org.eclipse.emf.common.notify.Adapter` | `createDatabaseLookupPropertiesAdapter()` Creates a new adapter for an object of class '`Database Lookup Properties`'
    `org.eclipse.emf.common.notify.Adapter` | `createDatabasePropertyAdapter()` Creates a new adapter for an object of class '`Database Property`'
    `org.eclipse.emf.common.notify.Adapter` | `createDataTypeMappingAdapter()` Creates a new adapter for an object of class '`Data Type Mapping`'
    `org.eclipse.emf.common.notify.Adapter` | `createDomainExtensionAdapter()` Creates a new adapter for an object of class '`Domain Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createEntityExtensionAdapter()` Creates a new adapter for an object of class '`Entity Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createEntityMappingAdapter()` Creates a new adapter for an object of class '`Entity Mapping`'
    `org.eclipse.emf.common.notify.Adapter` | `createEnumerationElementAdapter()` Creates a new adapter for an object of class '`Enumeration Element`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createExtendedPersistentAttributesAdapter()` Creates a new adapter for an object of class '`Extended Persistent Attributes`'
    `org.eclipse.emf.common.notify.Adapter` | `createNamedExtensionAdapter()` Creates a new adapter for an object of class '`Named Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createRootExtensionAdapter()` Creates a new adapter for an object of class '`Root Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createValidatableObjectAdapter()` Creates a new adapter for an object of class '`Validatable Object`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyBooleanAdapter()` Creates a new adapter for an object of class '`Vocabulary Boolean`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyDataTypeAdapter()` Creates a new adapter for an object of class '`Vocabulary Data Type`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyExpressionAdapter()` Creates a new adapter for an object of class '`Vocabulary Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyPropertyAdapter()` Creates a new adapter for an object of class '`Vocabulary Property`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyStringAdapter()` Creates a new adapter for an object of class '`Vocabulary String`'
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyValueSetAdapter()` Creates a new adapter for an object of class '`Vocabulary Value Set`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static CanonicalvocabularymodelPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected CanonicalvocabularymodelSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### CanonicalvocabularymodelAdapterFactory

          public CanonicalvocabularymodelAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createAssociationEndExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createAssociationEndExtensionAdapter()

      Creates a new adapter for an object of class '`Association End Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AssociationEndExtension`

    - #### createAttributeExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createAttributeExtensionAdapter()

      Creates a new adapter for an object of class '`Attribute Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AttributeExtension`

    - #### createEntityExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityExtensionAdapter()

      Creates a new adapter for an object of class '`Entity Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EntityExtension`

    - #### createRootExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createRootExtensionAdapter()

      Creates a new adapter for an object of class '`Root Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RootExtension`

    - #### createVocabularyPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyPropertyAdapter()

      Creates a new adapter for an object of class '`Vocabulary Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyProperty`

    - #### createVocabularyStringAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyStringAdapter()

      Creates a new adapter for an object of class '`Vocabulary String`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyString`

    - #### createVocabularyBooleanAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyBooleanAdapter()

      Creates a new adapter for an object of class '`Vocabulary Boolean`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyBoolean`

    - #### createVocabularyValueSetAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyValueSetAdapter()

      Creates a new adapter for an object of class '`Vocabulary Value Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyValueSet`

    - #### createDomainExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createDomainExtensionAdapter()

      Creates a new adapter for an object of class '`Domain Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DomainExtension`

    - #### createDatabaseAccessAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabaseAccessAdapter()

      Creates a new adapter for an object of class '`Database Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DatabaseAccess`

    - #### createDatabasePropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabasePropertyAdapter()

      Creates a new adapter for an object of class '`Database Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DatabaseProperty`

    - #### createCustomDataTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createCustomDataTypeAdapter()

      Creates a new adapter for an object of class '`Custom Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CustomDataType`

    - #### createNamedExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createNamedExtensionAdapter()

      Creates a new adapter for an object of class '`Named Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NamedExtension`

    - #### createVocabularyExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyExpressionAdapter()

      Creates a new adapter for an object of class '`Vocabulary Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyExpression`

    - #### createDatabaseLookupPropertiesAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabaseLookupPropertiesAdapter()

      Creates a new adapter for an object of class '`Database Lookup Properties`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DatabaseLookupProperties`

    - #### createEnumerationElementAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumerationElementAdapter()

      Creates a new adapter for an object of class '`Enumeration Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EnumerationElement`

    - #### createExtendedPersistentAttributesAdapter

          public org.eclipse.emf.common.notify.Adapter createExtendedPersistentAttributesAdapter()

      Creates a new adapter for an object of class '`Extended Persistent Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExtendedPersistentAttributes`

    - #### createEntityMappingAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityMappingAdapter()

      Creates a new adapter for an object of class '`Entity Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EntityMapping`

    - #### createDataTypeMappingAdapter

          public org.eclipse.emf.common.notify.Adapter createDataTypeMappingAdapter()

      Creates a new adapter for an object of class '`Data Type Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DataTypeMapping`

    - #### createVocabularyDataTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyDataTypeAdapter()

      Creates a new adapter for an object of class '`Vocabulary Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VocabularyDataType`

    - #### createAssetAdapter

          public org.eclipse.emf.common.notify.Adapter createAssetAdapter()

      Creates a new adapter for an object of class '`Asset`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Asset`

    - #### createValidatableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createValidatableObjectAdapter()

      Creates a new adapter for an object of class '`Validatable Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValidatableObject`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.